#include <Constants.au3>
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>

$style = 0
;$style = BitOR($WS_SYSMENU,$WS_DLGFRAME,$WS_MINIMIZEBOX,$WS_BORDER,$WS_POPUP,$WS_CLIPSIBLINGS,$WS_CHILD)
$h = GUICreate("test",200,200,200,200,0,$WS_EX_APPWINDOW)
if $h=0 or @error=1 then
	MsgBox(4096,"","failed")
	Exit
EndIf
GUISetState(@SW_SHOW)
ConsoleWrite(Hex(_WinAPI_GetWindowLong($h,$GWL_STYLE)) & @CRLF)
While 1
	$nMsg = GUIGetMsg()
	Switch $nMsg
		Case $GUI_EVENT_CLOSE
			Exit
	EndSwitch
WEnd

Func _WinAPI_GetWindowLong($hWnd, $iIndex)
	Local $sFuncName = "GetWindowLongW"
	If @AutoItX64 Then  $sFuncName = "GetWindowLongPtrW"
	Local $aResult = DllCall("user32.dll", "long_ptr", $sFuncName, "hwnd", $hWnd, "int", $iIndex)
	If @error Then Return SetError(@error, @extended, 0)
	Return $aResult[0]
EndFunc   ;==>_WinAPI_GetWindowLong
